Subject: Re: bug#71282: 30.0.50; hl-line overlay priority has no affect

From: Mohsin Kaleem <[email-masked]>
Date: Sun, 30 Jun 2024 16:21:05 +0100

João Távora <[email-masked]> writes:

> This mechanism shouldn't rely on making X aware of Y. Maybe if the
> implementation of Y were moved to C display core, like
> display-line-numbers-mode. Or maybe not, I haven't looked into it (and
> I don't plan to, sorry).

Thanks João.

Going to back to the original discussion is there a reason
before-strings in overlays don't respect priorities? I realise it's
documented but I'm more curious about the why than the what? Was there a
use case for these properties in overlays to not be overridable (which
from what I understand is the reason for this conflict between hl-line and
overlay annotations is happening).

-- 
Mohsin Kaleem